﻿using UnityEngine;
using UnityEngine.EventSystems;

public class BallCamera : MonoBehaviour
{
    public GameObject balle; // La balle
    public float camDistance = 3.5f; // Distance de la cam à la balle
    // Angles
    float x = 0.0f;
    float y = 0.0f;
    Quaternion rotation;
    // Référence doigt si on touche l'écran tactile
    Touch touch1;

    void Start()
    {
        x = transform.eulerAngles.y;
        y = transform.eulerAngles.x;
    }

    void LateUpdate()
    {
        // Fonctionne sur l'éditeur ou PC 
#if UNITY_EDITOR || UNITY_STANDALONE
        // Position de la souris à l'écran axe des x
        x += Input.GetAxis("Mouse X") * 3;
#endif
        // Fonctionne sur iPhone ou Android
#if UNITY_IPHONE || UNITY_ANDROID
        // Si on a un doigt sur l'écran
        if(Input.touches.Length == 1)
         {
        // la position du doigt sur l'axe x est calculé
             x += Input.GetTouch(0).deltaPosition.x * 0.1f;
         }
#endif

        // Si nous ne touchons pas un élément d'interface
        if (!EventSystem.current.IsPointerOverGameObject())
        {
            // On souhaite orienter la caméra
            rotation = Quaternion.Euler(y, x, 0);
        }

        // Calcul de la position de la caméra
        Vector3 position = rotation * new Vector3(0.0f, balle.transform.position.y / 3, -camDistance) + balle.transform.position;

        // On applique la rotation et la position
        transform.rotation = rotation;
        transform.position = position;

        // On bloque la caméra en y 
        if (transform.position.y < 3.0f)
        {
            transform.position = new Vector3(transform.position.x, 3.0f, transform.position.z);
        }
    }
}