﻿using UnityEngine.SceneManagement;
using UnityEngine;
using UnityEngine.UI;

public class MenuScript : MonoBehaviour
{
    Button[] btns;

    private void Start()
    {
        int lastLevel = PlayerPrefs.GetInt("DernierNiveau");
        btns = GameObject.FindObjectsOfType<Button>();
        foreach(Button btn in btns)
        {
            int level = int.Parse(btn.transform.GetChild(0).gameObject.GetComponent<Text>().text);

            if (level <= lastLevel)
            {
                btn.interactable = true;
            }
        }
    }

    // Charger un niveau
    public void LoadSelectedLevel(int level)
    {
        SceneManager.LoadScene(level);
    }

    // Exemple de chargement d'url
    public void OuvrirSite(string url)
    {
        Application.OpenURL(url);
    }
}
