﻿using UnityEngine;
using UnityEngine.SceneManagement;

public class PauseScript : MonoBehaviour
{
    public GameObject menuPause; // Le menu pause (panel)

    // La fonction de mise en pause
    public void ActivatePause()
    {
        menuPause.SetActive(true); // On active le menu pause
        Time.timeScale = 0.0f; // On arrête le temps
    }

    // Retour au jeu
    public void DesctivatePause()
    {
        menuPause.SetActive(false); // On désactive le menu pause
        Time.timeScale = 1.0f; // On met le temps à 1
    }

    // Recharger le niveau
    public void Reload()
    {
        Time.timeScale = 1.0f;
        SceneManager.LoadScene(SceneManager.GetActiveScene().buildIndex);
    }

    // Charger le niveau d'après
    public void NextLevel()
    {
        SceneManager.LoadScene(SceneManager.GetActiveScene().buildIndex + 1);
    }

    // Retour au menu
    public void BackToMenu()
    {
        Time.timeScale = 1.0f;
        SceneManager.LoadScene(0); // Charger la scène 0 (menu)
    }
}
