﻿using System.Collections;
using UnityEngine;
using UnityEngine.UI;

public class ShootScript : MonoBehaviour
{
    public int nbShotsLeft = 5; // Nombre de coups restants
    int power = 1000; // Puissance de tir
    public GameObject balle; // La balle
    public Text txtNbShots; // Text nb coups
    public Text txtPower; // Txt puissance
    public Slider slider; // Slider de puissance de tir
    public AudioClip son; // Son de tir

    private void Start()
    {
        txtNbShots.text = "Shots:" + nbShotsLeft; // Affichage du nombre de coups
    }

    // Définir texte puissance
    public void SetShotPower()
    {
        int val = (int)slider.value; // (int) permet de convertir la valeur en int
        txtPower.text = val + "%"; // On modifie le texte
    }

    // Fonction de tir
    public void Shoot()
    {
        if(nbShotsLeft > 0) // Si il reste des coups
        {
            // Nous récupérons la valeur du slider pour la puissance
            power = (int)slider.value * 25; // Nous multiplions par 25 pour avoir une puissance suffisante
            // Jouer le son de tir
            balle.GetComponent<AudioSource>().PlayOneShot(son);
            nbShotsLeft--; // On décrémente le nombre de coups
            txtNbShots.text = "Shots:" + nbShotsLeft; // On modifie le texte
            // On propulse la balle devant
            balle.GetComponent<Rigidbody>().AddForce(Camera.main.transform.forward * power);
            // Réinitilisation du slider
            slider.value = 0;
            StartCoroutine("LockSlider"); // Appel de la coroutine
        }
    }

    IEnumerator LockSlider() // Coroutine
    {
        yield return new WaitForSeconds(0.2f); // 0.2 seconde après le tir...
        slider.interactable = false; // On bloque le slider après le tir
    }

    private void Update() 
    {
        // Si vitesse balle faible et slider bloqué
        if (balle.GetComponent<Rigidbody>().linearVelocity.magnitude < 0.2f && slider.interactable == false) 
        {
            slider.interactable = true; // on active de nouveau le slider
        }
    }

}
